<?php

require_once(INCLUDE_DIR . '/class.plugin.php');
require_once(INCLUDE_DIR . '/class.forms.php');

class SMSLinkConfig extends PluginConfig
{
    function getOptions()
    {
        return array(
            'sb1' => new SectionBreakField(array(
                'label' => __('SMSLink - Configuration'),
                'hint'  => __('<a href="http://www.smslink.ro/inregistrare/" target="_blank">Create a SMSLink account</a> or <a href="http://www.smslink.ro/autentificare/" target="_blank">Login to your SMSLink account</a> and <a href="http://www.smslink.ro/sms/gateway/setup.php" target="_blank">obtain your SMS Gateway</a> Connection ID and Password, required below in order to complete the setup of the integration between your eCommerce platform and SMSLink.'),
            )),
            'smslink_connection_id' => new TextboxField(array(
                'label' => __('SMSLink - SMS Gateway - Connection ID')
            )),
            'smslink_password' => new PasswordField(array(
                'label' => __('SMSLink - SMS Gateway - Password')
            )),            
            'sb2' => new SectionBreakField(array(
                'label' => __('SMS templates')
            )),
            'smslink_ticket_created' => new BooleanField(array(
                'label' => __('Send SMS when a new ticket is created')
            )),
            'smslink_ticket_created_message' => new TextareaField(
                array(
                    'label'  => __('SMS template for ticket created'),
                    'hint'   => __('Variabiles for SMS template: {phone_number}, {name}, {email}, {subject}, {help_topic}, {create_date}, {priority}, {ticket_url}'),
                    'configuration' => array(
                        'html' => false,
                        'rows' => 6,
                        'cols' => 40
                    )
                )
            )
        );
    }
}
