<?php

require_once('config.php');

require_once(INCLUDE_DIR . 'class.plugin.php');
require_once(INCLUDE_DIR . 'class.signal.php');
require_once(INCLUDE_DIR . 'class.ticket.php');
require_once(INCLUDE_DIR . 'class.app.php');

class SMSLink extends Plugin
{
	var $config_class = 'SMSLinkConfig';
	var $config;
	var $app;
	
	function bootstrap()
	{
		error_log(json_encode(get_defined_constants()));
		
		$this->config = $this->getConfig();
		$this->app    = new Application();
		
		$this->connectToHooks();		
	}

	function connectToHooks()
	{
		Signal::connect('ticket.created', function (Ticket $ticket) 
		{
		    $replace_occurances                 = 1;
			$ticketData['phone_number']         = preg_replace(
    		                                            '/\D/', 
    		                                            '', 
    		                                            str_replace(
    		                                                    "+", 
    		                                                    "00", 
    		                                                    $ticket->getPhoneNumber(), 
    		                                                    $replace_occurances
	                                                        )
	                                                );
						
			$ticketData['name']                 = $ticket->getName()->getFull();
			$ticketData['email']                = $ticket->getEmail()->__toString();
			$ticketData['subject']              = $ticket->getSubject();
			$ticketData['help_topic']           = $ticket->getHelpTopic();
			$ticketData['create_date']          = $ticket->getCreateDate();
			$ticketData['priority']             = $ticket->getPriority()->getDesc();			
			$ticketData['ticket_url']           = $ticket->getVar('client_link');

			$userData['connection_id']          = urlencode(trim($this->config->get('smslink_connection_id')));
			$userData['password']               = urlencode(trim($this->config->get('smslink_password')));
						
			$userData['ticket_created']         = $this->config->get('smslink_ticket_created');
			$userData['ticket_created_message'] = $this->config->get('smslink_ticket_created_message');
			
			foreach ($ticketData as $key => $value) 
				$userData['ticket_created_message'] = str_replace("{" . $key . "}", $value, $userData['ticket_created_message']);			

			$userData['ticket_created_message'] = urlencode($userData['ticket_created_message']);

			if ((!empty($ticketData['phone_number'])) && 
			    (!empty($userData['ticket_created_message'])) && 
			    ($userData['ticket_created'] == "1") && 
			    (!empty($userData['connection_id'])) && 
			    (!empty($userData['password']))
			   ) 
			{
			    $curl = curl_init();
			    
    			curl_setopt_array(
	                  $curl, 
	                  array(
                          CURLOPT_URL            => "https://secure.smslink.ro/sms/gateway/communicate/index.php".
                                                        "?connection_id=".$userData['connection_id'].
                                                        "&password=".$userData['password'].
                                                        "&to=".$ticketData['phone_number'].
                                                        "&message=".$userData['ticket_created_message'],
                          CURLOPT_RETURNTRANSFER => true,
                          CURLOPT_FOLLOWLOCATION => true,
                          CURLOPT_HEADER         => false,
                          CURLOPT_SSL_VERIFYPEER => false,
                          CURLOPT_SSL_VERIFYHOST => false
                        )
	                );
                
                $response = curl_exec($curl);
                $err      = curl_error($curl);
                
                curl_close($curl);                
	        }			
		});		
	}
}
